//
// Created by Ht on 2020/12/16.
//

#ifndef LIBDEVCPP_JGATECLIENT_H
#define LIBDEVCPP_JGATECLIENT_H

#include <string>
#include <jebase/config.h>
#include <qlibc/qlibc.h>

namespace jedge {

    class JE_API JGateClient {

    protected:
        qlibc::QData config_;

    public:
        explicit JGateClient(const qlibc::QData &config) : config_(config){
        }

        virtual ~JGateClient() = default;

        virtual bool start() = 0;

        virtual void shutdown() = 0;
    };
}


#endif //LIBDEVCPP_JGATECLIENT_H
